HFST-TXT2FST(1)

NAME
hfst-txt2fst - =Convert AT&T or prolog format into a binary transducer

SYNOPSIS
hfst-txt2fst [OPTIONS...] [INFILE]

DESCRIPTION
Convert AT&T or prolog format into a binary transducer

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Text and format options:

-f, --format=FMT
    Write result using FMT as backend format

-e, --epsilon=EPS
    Interpret string EPS as epsilon in att format

-p, --prolog
    Read prolog format instead of att

-j, --disjunct
    Disjunct multiple transducers in input

  Other options:

-C, --check-negative-epsilon-cycles
    Issue a warning if there are epsilon cycles with a negative weight in the transducer

If OUTFILE or INFILE is missing or -, standard streams will be used. If FMT is not given, OpenFst's tropical format will be used. The possible values for FMT are { foma, openfst-tropical, openfst-log, sfst, optimized-lookup-weighted, optimized-lookup-unweighted }. If EPS is not given, @0@ will be used.

Space in transition symbols must be escaped as '@_SPACE_@' when using att format.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-txt2fst home page: <https://github.com/hfst/hfst/wiki/HfstTxt2Fst>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.